importScripts("https://www.gstatic.com/firebasejs/8.10.1/firebase-app.js");
importScripts("https://www.gstatic.com/firebasejs/8.10.1/firebase-messaging.js");

firebase.initializeApp({
    apiKey: 'AIzaSyDeia4-2rlRT_Pv6dK_MTUMqFbnp9Aa5GU',
    appId: '1:282908409551:web:a408cee60ffb38a3b181ba',
    messagingSenderId: '282908409551',
    projectId: 'gofreshagro-66063',
    authDomain: 'gofreshagro-66063.firebaseapp.com',
    databaseURL: 'https://gofreshagro-66063-default-rtdb.asia-southeast1.firebasedatabase.app',
    storageBucket: 'gofreshagro-66063.firebasestorage.app',
    measurementId: 'G-RSF1XQ200J',
});

const messaging = firebase.messaging();

// Optional:
messaging.onBackgroundMessage((message) => {
  console.log("onBackgroundMessage", message);
});